Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AjaxFunction

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.richfaces.renderkit.AjaxFunction

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

    public class AjaxFunction

extends org.ajax4jsf.javascript.ScriptStringBase

Author:
  Nick Belaevski

Field Summary
`static java.lang.String` | `FUNCTION_NAME`

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`AjaxFunction(java.lang.Object source, AjaxOptions options)`

Method Summary
`void` | `appendScript(java.lang.Appendable target)`
`java.lang.Object` | `getEvent()`
`AjaxOptions` | `getOptions()`
`java.lang.Object` | `getSource()`
`void` | `setEvent(java.lang.Object event)`
`void` | `setOptions(AjaxOptions eventOptions)`
`void` | `setSource(java.lang.Object source)`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FUNCTION_NAME

    public static final java.lang.String FUNCTION_NAME

See Also:
  Constant Field Values

Constructor Detail

### AjaxFunction

    public AjaxFunction(java.lang.Object source,
                        AjaxOptions options)

Method Detail

### getSource

    public java.lang.Object getSource()

### setSource

    public void setSource(java.lang.Object source)

### getEvent

    public java.lang.Object getEvent()

### setEvent

    public void setEvent(java.lang.Object event)

### getOptions

    public AjaxOptions getOptions()

### setOptions

    public void setOptions(AjaxOptions eventOptions)

### appendScript

    public void appendScript(java.lang.Appendable target)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.